
-- user-settings
INSERT INTO USER_SETTING_DEF (SOURCE_CLUSTER_TYPE, SETTING_KEY, SETTING_VALUE, LABEL, SERVICE_NAME, DISPLAY_TYPE, SIZE, ENABLED, EDITABLE, VISIBLE, ORDER_NO) VALUES
    ( 'HDP3', 'cluster.name', 'CM_CLUSTER_NAME', 'Cluster name', '', 'text', 200, true, false, true, 1 ),
    ( 'HDP3', 'cluster.displayname', 'Cluster 1', 'Cluster display name', '', 'text', 200, true, true, true, 2 ),
    ( 'HDP3', 'ambari.cluster.name', 'cl1' , 'Ambari cluster name', '', 'text', 200, true, false, false, 3),
    ( 'HDP3', 'cluster.version', '7.1.8', 'Target version', '', 'combo', 200, true, true, true, 4 ),
    ( 'HDP3', 'cluster.fullversion', '7.1.8-1.cdh7.1.8.p0.30990532', 'Target full version', '', 'edit-text', 200, true, true, true, 5),
    ( 'HDP3', 'cluster.gplversion', '7.1.8-1.gplextras7.1.8.p0.30990532', 'Target GPL version', '', 'edit-text', 230, true, true, true, 6),
    ( 'HDP3', 'cluster.originating_source', 'AM2CM version 2.4', 'Originating Source', '', 'text', 200, true, false, true, 7 ),
    ( 'HDP3', 'cm.rolegroups.enable', 'true', '', '', 'text', 200, true, false, false, 8 ),
--  Hive
    ( 'HDP3', 'SERVICE_HIVE_hive_jdbc_url_override', 'JDBC_URL', 'Hive Jdbc url', 'HIVE', 'text', 410, true, true, true, 9 ),
    ( 'HDP3', 'SERVICE_HIVE_hive_metastore_database_password', null, 'Hive db password', 'HIVE', 'password', 200, true, true, true, 10 ),
--  Oozie
    ( 'HDP3', 'SERVICE_OOZIE_oozie_service_JPAService_jdbc_url', 'JDBC_URL', 'Oozie Jdbc url', 'OOZIE', 'text', 410, true, true, true, 11 ),
    ( 'HDP3', 'SERVICE_OOZIE_oozie_database_password', null, 'Oozie db password', 'OOZIE', 'password', 200, true, true, true, 12 ),
--  Ranger
    ( 'HDP3', 'SERVICE_RANGER_dba_password', null, 'Ranger DBA user password', 'RANGER', 'password', 200, true, true, true, 13 ),
    ( 'HDP3', 'SERVICE_RANGER_ranger_database_password', null, 'Ranger db password', 'RANGER', 'password', 200, true, true, true, 14 ),
    ( 'HDP3', 'SERVICE_RANGER_rangeradmin_user_password', null, 'RangerAdmin password', 'RANGER', 'password', 200, true, true, true, 15 ),
    ( 'HDP3', 'SERVICE_RANGER_rangerusersync_user_password', null, 'RangerUserSync password', 'RANGER', 'password', 200, true, true, true, 16 ),
    ( 'HDP3', 'SERVICE_RANGER_ranger_usersync_ldap_ldapbindpassword', null, 'RangerUserSync LDAP bind password', 'RANGER', 'password', 200, true, true, true, 17 ),
    ( 'HDP3', 'SERVICE_RANGER_rangertagsync_user_password', null, 'RangerTagSync password', 'RANGER', 'password', 200, true, true, true, 18 ),
    ( 'HDP3', 'SERVICE_RANGER_rangerkeyadmin_user_password', null, 'RangerKeyAdmin password', 'RANGER', 'password', 200, true, true, true, 19 ),
--  Ranger KMS
    ( 'HDP3', 'SERVICE_RANGER_KMS_dba_password', null, 'Ranger KMS DBA user password', 'RANGER_KMS', 'password', 200, true, true, true, 20 ),
    ( 'HDP3', 'SERVICE_RANGER_KMS_ranger_kms_database_password', null, 'RangerKMS db password', 'RANGER_KMS', 'password', 200, true, true, true, 21 ),
    ( 'HDP3', 'SERVICE_RANGER_KMS_ranger_kms_master_key_password', null, 'RangerKMS master key password', 'RANGER_KMS', 'password', 200, true, true, true, 22 ),
--  Knox
    ( 'HDP3', 'SERVICE_KNOX_gateway_master_secret', null, 'Knox gateway master secret', 'KNOX', 'password', 200, true, true, true, 23 ),
--  Kerberos
    ( 'HDP3', 'kerberos_admin_user', 'admin', 'Kerberos admin user', 'KERBEROS', 'text', 200, true, true, true, 24 ),
    ( 'HDP3', 'kerberos_admin_password', null, 'Kerberos admin password', 'KERBEROS', 'password', 200, true, true, true, 25 ),
    ( 'HDP3', 'kerberos_kadmin_binary_path', '/usr/sbin/kadmin.local', 'Path to ''kadmin'' binary on KDC host', 'KERBEROS', 'text', 200, true, true, true, 26 ),
----------
    ( 'HDP2', 'cluster.name', 'CM_CLUSTER_NAME', 'Cluster name', '', 'text', 200, true, false, true, 1 ),
    ( 'HDP2', 'cluster.displayname', 'Cluster 1', 'Cluster display name', '', 'text', 200, true, true, true, 2 ),
    ( 'HDP2', 'ambari.cluster.name', 'cl1' , 'Ambari cluster name', '', 'text', 200, true, false, false, 3),
    ( 'HDP2', 'cluster.version', '7.1.8', 'Target version', '', 'combo', 200, true, true, true, 4 ),
    ( 'HDP2', 'cluster.fullversion', '7.1.8-1.cdh7.1.8.p0.30990532', 'Target full version', '', 'edit-text', 200, true, true, true, 5),
    ( 'HDP2', 'cluster.gplversion', '7.1.8-1.gplextras7.1.8.p0.30990532', 'Target GPL version', '', 'edit-text', 230, true, true, true, 6),
    ( 'HDP2', 'cluster.originating_source', 'AM2CM version 2.4', 'Originating Source', '', 'text', 200, true, false, true, 7 ),
    ( 'HDP2', 'cm.rolegroups.enable', 'true', '', '', 'text', 200, true, false, false, 8 ),
--  Hive
    ( 'HDP2', 'SERVICE_HIVE_hive_jdbc_url_override', 'JDBC_URL', 'Hive Jdbc url', 'HIVE', 'text', 410, true, true, true, 9 ),
    ( 'HDP2', 'SERVICE_HIVE_hive_metastore_database_password', null, 'Hive db password', 'HIVE', 'password', 200, true, true, true, 10 ),
--  Oozie
    ( 'HDP2', 'SERVICE_OOZIE_oozie_service_JPAService_jdbc_url', 'JDBC_URL', 'Oozie Jdbc url', 'OOZIE', 'text', 410, true, true, true, 11 ),
    ( 'HDP2', 'SERVICE_OOZIE_oozie_database_password', null, 'Oozie db password', 'OOZIE', 'password', 200, true, true, true, 12 ),
--  Ranger
    ( 'HDP2', 'SERVICE_RANGER_dba_password', null, 'Ranger DBA user password', 'RANGER', 'password', 200, true, true, true, 13 ),
    ( 'HDP2', 'SERVICE_RANGER_ranger_database_password', null, 'Ranger db password', 'RANGER', 'password', 200, true, true, true, 14 ),
    ( 'HDP2', 'current_rangeradmin_password', null, 'Current RangerAdmin password', 'RANGER', 'password', 200, true, true, true, 15 ),
    ( 'HDP2', 'SERVICE_RANGER_rangeradmin_user_password', null, 'New RangerAdmin password', 'RANGER', 'password', 200, true, true, true, 16 ),
    ( 'HDP2', 'SERVICE_RANGER_rangerusersync_user_password', null, 'RangerUserSync password', 'RANGER', 'password', 200, true, true, true, 17 ),
    ( 'HDP2', 'SERVICE_RANGER_ranger_usersync_ldap_ldapbindpassword', null, 'RangerUserSync LDAP bind password', 'RANGER', 'password', 200, true, true, true, 18 ),
    ( 'HDP2', 'SERVICE_RANGER_rangertagsync_user_password', null, 'RangerTagSync password', 'RANGER', 'password', 200, true, true, true, 19 ),
    ( 'HDP2', 'SERVICE_RANGER_rangerkeyadmin_user_password', null, 'RangerKeyAdmin password', 'RANGER', 'password', 200, true, true, true, 20 ),
--  Ranger KMS
    ( 'HDP2', 'SERVICE_RANGER_KMS_dba_password', null, 'Ranger KMS DBA user password', 'RANGER_KMS', 'password', 200, true, true, true, 21 ),
    ( 'HDP2', 'SERVICE_RANGER_KMS_ranger_kms_database_password', null, 'RangerKMS db password', 'RANGER_KMS', 'password', 200, true, true, true, 22 ),
    ( 'HDP2', 'SERVICE_RANGER_KMS_ranger_kms_master_key_password', null, 'RangerKMS master key password', 'RANGER_KMS', 'password', 200, true, true, true, 23 ),
--  Knox
    ( 'HDP2', 'SERVICE_KNOX_gateway_master_secret', null, 'Knox gateway master secret', 'KNOX', 'password', 200, true, true, true, 24 ),
--  Kerberos
    ( 'HDP2', 'kerberos_admin_user', 'admin', 'Kerberos admin user', 'KERBEROS', 'text', 200, true, true, true, 25 ),
    ( 'HDP2', 'kerberos_admin_password', null, 'Kerberos admin password', 'KERBEROS', 'password', 200, true, true, true, 26 ),
    ( 'HDP2', 'kerberos_kadmin_binary_path', '/usr/sbin/kadmin.local', 'Path to ''kadmin'' binary on KDC host', 'KERBEROS', 'text', 200, true, true, true, 27 )
    ON CONFLICT (SOURCE_CLUSTER_TYPE,SETTING_KEY) DO UPDATE
                            SET SETTING_VALUE = EXCLUDED.SETTING_VALUE,
                                LABEL = EXCLUDED.LABEL,
                                SERVICE_NAME = EXCLUDED.SERVICE_NAME,
                                DISPLAY_TYPE = EXCLUDED.DISPLAY_TYPE,
                                SIZE = EXCLUDED.SIZE,
                                ENABLED = EXCLUDED.ENABLED,
                                EDITABLE = EXCLUDED.EDITABLE,
                                VISIBLE = EXCLUDED.VISIBLE,
                                ORDER_NO = EXCLUDED.ORDER_NO
    ;

INSERT INTO TRANSITION_TYPE(ID, NAME, BG_COLOR, FONT_COLOR, DESCRIPTION) VALUES

    ('INPLACE_ONE_STAGE_UPGRADE', 'Upgrade to CDP PvC Base - 1 stage', '#d5f7f2', 'black', 'In-place upgrade of the base HDP cluster using the same hardware. Similar to the two-stage upgrade but there is no need for HDP7 as interim stage. The configs and metadata upgrades are extracted and made part of the second stage, compressing and simplifying the upgrade process.'  ),
    ('INPLACE_TWO_STAGE_UPGRADE', 'Upgrade to CDP PvC Base - 2 stages', '#d7ebf7', 'black', 'In-place upgrade from HDP7 to CDP 7.1 PvC Base. - TECH PREVIEW')

--    ('SAAS_MIGRATION', 'Migrate to CDP One', '#f7e7d5', 'black', 'Migration of HDP cluster to Cloudera Data Platform One. This transition type leaves the base cluster intact, gathers config data and feeds it to CDP SaaS Solution managed by Cloudera. Development Status : Under construction'  ),
--    ('PUBLIC_CLOUD_MIGRATION', 'Migrate to CDP Public Cloud', '#f7f2d5', 'black', 'Migration of HDP cluster to Cloudera Data Platform Public Cloud. This transition type gathers config data and feeds it to  existing Cloudera Data Platform Public Cloud data lake and data hub clusters, leaving the base HDP cluster intact. Development Status: Under construction'  )
    ON CONFLICT (ID) DO UPDATE
                    SET NAME = EXCLUDED.NAME,
                            BG_COLOR = EXCLUDED.BG_COLOR,
                            FONT_COLOR = EXCLUDED.FONT_COLOR,
                            DESCRIPTION = EXCLUDED.DESCRIPTION
;

INSERT INTO TRANSITION_TYPE_SOURCE_CLUSTER_DEF(TRANSITION_TYPE_ID, SOURCE_CLUSTER_TYPE, ENABLED) VALUES
    ('INPLACE_ONE_STAGE_UPGRADE', 'HDP3', true),
    ('INPLACE_ONE_STAGE_UPGRADE', 'HDP2', false),
    ('INPLACE_TWO_STAGE_UPGRADE', 'HDP7', true)
    ON CONFLICT (TRANSITION_TYPE_ID,SOURCE_CLUSTER_TYPE) DO UPDATE
                    SET ENABLED = EXCLUDED.ENABLED
;